%bcond_without	doc
#
Summary:	Mailboxes synchronization tool
Summary(pl.UTF-8):	Narzędzie do synchroniczacji skrzynek pocztowych
Name:		offlineimap
Version:	6.5.6
Release:	2
License:	GPL v2
Group:		Applications/Mail
Source0:	http://github.com/OfflineIMAP/%{name}/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	b595561eb2050767c376df3b92aa0d74
Patch0:		%{name}-docs.patch
Patch1:		%{name}-no_uidplus.patch
URL:		https://offlineimap.org
BuildRequires:	rpm-pythonprov >= 4.1-13
%if %{with doc}
BuildRequires:	docutils
BuildRequires:	sphinx-pdg
%endif
Suggests:	python-sqlite
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OfflineIMAP is a tool to simplify your e-mail reading. With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has
poor IMAP support, or does not provide disconnected operation.

%description -l pl.UTF-8
OfflineIMAP to narzędzie upraszczające czytanie poczty elektronicznej.
Za jego pomocą można czytać tą samą skrzynkę z wielu komputerów.
Pobiera się aktualną kopię wiadomości na każdym komputerze, a zmiany
dokonywane w jednym miejscu będą widoczne na wszystkich innych
systemach. Na przyklad, można usunąć wiadomość na swoim domowym
komputerze i zostanie ona usunięta także na komputerze w pracy.
OfflineIMAP jest przydatne także jeśli chcemy używać czytnika poczty
bez obsługi IMAP, z kiepską obsługą IMAP albo nie działającego bez
połączenia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%if %{with doc}
%{__make} doc
%{__make} man
%endif

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm
install %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc offlineimap.conf*
%if %{with doc}
%doc Changelog.html README.md docs/html/*.html
%{_mandir}/man1/offlineimap.1*
%endif
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/*.egg-info
%changelog
* Tue Nov 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/offlineimap.git;a=log;h=master

* Tue Nov 25 2014 Jan Palus <atler@pld-linux.org> 935ed8a
- added upstream patch for incorrect way of adding new header in case of
  missing uidplus cap (fixes move with davmail server)
- rel 2

* Sun May 25 2014 Jan Palus <atler@pld-linux.org> f0f0184
- up to 6.5.6

* Sun Oct 06 2013 Jan Palus <jan.palus@gmail.com> a987a4f
- up to 6.5.5

* Sun Jul 21 2013 Jan Palus <jan.palus@gmail.com> 983f56e
- update source url to new offical github project
- adjust md5 / source root

* Sun Jun 24 2012 Jan Palus <jan.palus@gmail.com> 8cae614
- up to 6.5.4

* Sat Mar 03 2012 Jan Palus <jan.palus@gmail.com> a1fd63a
- up to 6.5.2.1

* Mon Jan 30 2012 Jan Palus <jan.palus@gmail.com> ac2e463
- up to 6.5.2
- update url
- suggest python-sqlite for sqlite backend
- toggle doc bcond, works again
- package MANUAL.html

* Sun Aug 14 2011 Jan Palus <jan.palus@gmail.com> 175c242
- updated

* Sun Aug 14 2011 Jan Palus <jan.palus@gmail.com> 297698d
- up to 6.3.4
- doc bcond (turned off by default due to build problems in last release)
- BR: sphinx-pdg for docs

* Sun Jun 26 2011 Jan Palus <jan.palus@gmail.com> 4d4a486
- up to 6.3.3

* Wed Mar 02 2011 Jan Palus <jan.palus@gmail.com> d0c121b
- fix paths to rst2{html,man}

* Wed Mar 02 2011 Jan Palus <jan.palus@gmail.com> 8a3006e
- up to 6.3.2

* Tue Jan 25 2011 Jan Palus <jan.palus@gmail.com> dd87516
- up to 6.3.1
- homepage moved in a result of maintainer change

* Fri Oct 15 2010 Jan Palus <jan.palus@gmail.com> b356aa0
- noarch package
- drop unneeded python-devel

* Fri Aug 27 2010 Jan Palus <jan.palus@gmail.com> 31c6158
- up to 6.2.0.2
- homepage moved to github
- use dropin as source tarballs on github are created on demand and contain
  weird names
- package no longer officialy maintained
  http://article.gmane.org/gmane.mail.imap.offlineimap.general/1759

* Sat Apr 11 2009 djrzulf <djrzulf@pld-linux.org> cb48626
- corrected source,
- updated to 6.0.3,

* Sat May 10 2008 japhy <japhy@pld-linux.org> eefb742
- Up to 5.99.14

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3906dac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9b4c57
- converted to UTF-8

* Sun Oct 29 2006 zbyniu <zbyniu@pld-linux.org> e9a214c
- up to 4.0.12; rel 1

